Subject: Re: Serial console

From: Ricardo Scop <[email-masked]>
Date: Fri, 29 Jul 2005 22:27:45 -0300

Hi Daniel,

On Friday 29 July 2005 22:06, Daniel Ann wrote:
> Hi folks,
>
> Just wondering if anyone could lend a hand with this problem I have
> with serial console. I'm trying to boot up my board (very similar to
> sandpoint using MPC8245) with kernel 2.6.12.3, and most of it is
> working but console will display up to,
> [snip]
> RAMDISK: Compressed image found at block 0
> VFS: Mounted root (ext2 filesystem) readonly.
> Freeing unused kernel memory: 112k init
>
> I've done series of printk in sys_execve() to see if /sbin/init is
> working, and found out it went thru the whole rcS file okay. Mind you,
> printk is successfully displaying the output on the console while I'm
> still not getting anything from the user processes.
>
> Having all the kernel boot up log on console means that I've done some
> part right. But why am I not getting anything from the user processes
> on the console screen ?
>
Please verify that you have a /dev/console in your rootfs, and that it's =
being=20
correctly acessed by the init process.

HTH,

--=20
Ricardo Scop.

        \|/
    ___ -*-
   (@ @)/|\
  /  V  \|  R SCOP Consult.
 /(     )\  Linux-based communications
--^^---^^+------------------------------
[email-masked]
+55 51 999-36-777
Porto Alegre, RS - BRazil